+++
title = "How to Convert a Word Document Into a PowerPoint Presentation"
date = "2021-07-25T00:47:52+08:00"
type = "blog"
banner = "img/banners/banner-3.jpg"
+++

 ## How to Convert a Word Document Into a PowerPoint Presentation

 ![img](https://i.pcmag.com/imagery/articles/06Tno1QcbJ7Bx8ZZ1g7ImvI-10.1620070828.fit_lim.size_1200x630.jpg)] 

You’ve written a Word document on a topic that you need to present before an audience, and now you need to create a presentation out of it. In the past, you’d have to create the slideshow from scratch, but Microsoft now offers a feature that will automatically convert a Word document into a PowerPoint presentation.

The feature, known as Export to PowerPoint, works only in the web versions of Word and PowerPoint. With it, you can export text, but images and videos will need to be added manually. However, this is a much easier task knowing that most of the manual labor has been done for you. The feature will also give you visual themes to pick before exporting is complete.

Create a Word Document

To get started, sign into the Microsoft 365 website to see your most recent documents and files. You can access Word or PowerPoint through a paid Microsoft 365 subscription or for free with a regular Microsoft Account.

Open Recent Document

If you haven’t yet created the Word document that you plan to convert, click the Plus button in the upper left and choose Document Word to start writing. You can also create the document using the desktop version of Word. Just make sure you’re syncing your documents through OneDrive so you can access them online.

If you already created the Word document for conversion, you should find it under Recent. Can’t find it? Click the More in OneDrive link in the lower-right corner and click My Files to view all your synced files in OneDrive.

Export to PowerPoint

While reviewing the document to make any changes or refinements, remember that only the text will be exported. Embedded images and other objects are not yet supported by the feature. Click File > Export > Export to PowerPoint Presentation (preview), and the presentation window will display a few different design themes.

Choose the theme most appropriate to the content. If you don't like any of the suggested themes, choose the plain one at the bottom right. When done, click the Export button. Your document is converted and the theme applied. Click the Open Presentation button to view the presentation.

The file automatically opens in the web version of PowerPoint. Now, you are free to look through each slide in the presentation and decide what you like and what should be changed. You can use PowerPoint’s built-in tools to change the theme and design, modify specific slides, or add images and videos.

You may still need to do some work in order to get the presentation to your liking, but with the text now automatically exported, you will be saving a healthy amount of time and effort.

 ## How to convert OpenDocument Presentation to Video in OpenOffice

 ![img](https://www.thewindowsclub.com/wp-content/uploads/2021/05/how-to-convert-opendocument-Presentation-to-Video-1.png)] 

OpenDocument Presentations are the presentation files with the .odp extension created with Apache OpenOffice Impress application. Now, if you are one of those wondering how you can convert an ODP file to a playable video file in OpenOffice, this article is your stop. Although you don’t have any direct option in OpenOffice to do so, I am going to share a trick in order to convert an ODP presentation to a video file.

You can convert OpenDocument presentation to video in Apache OpenOffice Impress software. But, as it doesn’t provide any native function to perform the conversion, you will have to use an extension. Let’s check out the extension and conversion steps in detail.

Convert OpenDocument Presentation to Video

The basic steps to convert ODP to video include:

Download and install Apache OpenOffice. Add an additional extension to OpenOffice. Open and convert ODP to video in OpenOffice Impress.

Let’s elaborate on these steps!

Firstly, download Apache OpenOffice and install it on your PC.

Now, the extension that you need to export OpenDocument presentations to video is called Impress video converter. Using this extension, you can convert OpenDocument Presentation to an AVI video file. This extension can be downloaded from openoffice.org. After downloading this video presentation converter extension for OpenOffice, you can add it to the software by following below steps:

Launch OpenOffice Impress and go to the Tools menu and click on the Extension Manager option.

menu and click on the option. Next, click on the Add button and provide the path to the .oxt extension file that you downloaded.

Finally, press the Accept option and this presentation to video converter extension will be added to OpenOffice Impress.

When done installing the extension in OpenOffice, restart the OpenOffice Impress application. Simply click on the File > Open option and import an ODP presentation file to it. You can edit the presentation if you want as it provides a lot of nice presentation designing features.

After that, go to the File menu and you will see a new option called Export as Video added to it. Click on this option and it will prompt an Export as AVI dialog window.

You now need to enter the number of seconds for the duration of each presentation slide in the output video and provide the output file location and name.

Lastly, tap on the Execute button and it will convert the imported ODP file to AVI video. You can now play, present, and share the OpenDocument presentation video as required.

Hopefully, this tutorial was helpful for you to find a solution to convert an ODP presentation to a video file in OpenOffice. In a similar manner, you can also convert Microsoft PowerPoint presentations (PPT, PPTX) to videos in OpenOffice using the same extension.

Related read: How to convert PowerPoint presentation to video.

 ## How to make a PowerPoint presentation into a video, so that it plays automatically without you having to click through each slide

 ![img](https://www.businessinsider.in/photo/76969388/how-to-make-a-powerpoint-presentation-into-a-video-so-that-it-plays-automatically-without-you-having-to-click-through-each-slide.jpg?imgsize=299330)] 

You can turn a PowerPoint into a video by making a few stylistic choices, then clicking an export button.

Turning your PowerPoint into a video will allow it to play automatically without having to click through each slide.

PowerPoint is an incredibly useful tool for giving presentations. With the click of a button, you can control how fast or slow you want the slides to progress, and when other extras like music or animation come in.

Advertisement

Check out the products mentioned in this article:

How to save your PowerPoint as a video

However, if it is not your intention to give your presentation live and in person, this fact can be more of a hindrance than a help. If you intended, for example, to email it to your coworkers, or to post it online, it might be more helpful to simply have your PowerPoint be a video that people can press play on and simply sit back and watch.Luckily, this is something that the Microsoft Office team has already thought of, and they make it just as easy to save your PowerPoint as a video as it is to save it regularly.First, save your presentation to be sure that all of your most recent work is reflected in the most current file for your presentation.

2. From the main menu, click "File," then click "Export" on the left hand side.

Advertisement

In the "Export" menu, select "Create a Video."

Melanie Weir/Business Insider

Melanie Weir/Business Insider

Advertisement

Choose the quality you want for your video — the descriptions beneath each option will describe what they're best optimized for.

5. Optional: If you want to use recorded narrations with timings, you can choose to use ones that already exist — if you have them — or choose to record them now, using the dropdown menu. Doing this will make whatever you record play over the video as it plays. If you don't want to use narrations, leave this setting and skip to step 6.

Melanie Weir/Business Insider

Advertisement

Choose how many seconds you want the video to spend on each slide. Make sure you account for the longest slide in the show, to make sure your audience has time to read everything.

Melanie Weir/Business Insider

7. Click "Create Video" to save the new PowerPoint video to your computer.

Related coverage from Tech Reference:

 ## Microsoft: Now you can turn a Word doc into a visual PowerPoint presentation

 ![img](https://www.zdnet.com/a/hub/i/r/2021/01/28/85c666ce-d9fc-4eb7-bc63-24de39d3f9f3/thumbnail/770x578/dadf7f61143a8e0436d7f5ddaf8bbcd4/wfh1-lordn.jpg)] 

Microsoft is rolling out a new feature called Transform that lets users of Word on the web turn a text-based document into a PowerPoint presentation with a design theme.

The new Transform command can be found in Word online under the menu options File > Transform > Transform to PowerPoint presentation. Users need to open a Word document to convert the file into a PowerPoint presentation.

After selecting Transform, Word users need to select a design theme for the presentation and then review the outcome in PowerPoint for the web. The new PowerPoint slides will be stored in the OneDrive folder of the user.

SEE: Office 365: A guide for tech and business leaders (free PDF) (TechRepublic)

The Transform feature is currently only available to users in the Office Insiders program and it does come with a number of limitations. However, once complete, it promises to use Microsoft's AI to create a Powerpoint presentation based on all the summarized sections of the document with imagery, icons, videos, themes, and fonts.

Microsoft recommends Office users test the feature by opening a Word document that is mostly text and then view what its AI suggests to create for a visual presentation after clicking on Transform.

Transform is currently only available in English and does not work in Internet Explorer or Apple's Safari browser. Presumably that means it does work in Firefox, Chrome, and Microsoft's Chromium-based Edge browser.

"We only support text content for the transformation to presentation, other media content support is not currently available. You can add your own media to the presentation after you have transformed your Word document," explained Mohit Anand, a program manager on the PowerPoint team.

While it is just for Insiders now, Anand says it will be rolling it out to all web users shortly.

SEE: Windows 10's open-source PowerToys: Video meeting mute tool hit by pandemic, says Microsoft

Unfortunately, Microsoft hasn't provided a demonstration of how the feature transforms a text-heavy Word document into a PowerPoint presentation with AI-selected digital assets.

Researcher at Microsoft-funded OpenAI in January released Dall-e, a neural network that can generate a variety of images from text-based descriptions.

Microsoft has been putting AI to more use in PowerPoint slides over the years. In 2019, it updated the PowerPoint Designer feature-set to provide users with suggestions for they can build slides around a photo, improve the readability of text, and adding icons to presentations.

 ## How to Convert a Word Document to a PowerPoint Presentation

 ![img](https://www.groovypost.com/wp-content/uploads/2021/03/powerpoint-presentation-featured.jpg)] 

How-To How to Convert a Word Document to a PowerPoint Presentation By

To convert a Word document to a PowerPoint presentation is a relatively easy process that takes just a few steps. Although it’s not perfect.

Microsoft PowerPoint presentations sometimes grow out of Microsoft Word documents. Sure, you can go back and forth using copy/paste to create your presentation. However, there’s an easier way to do this by making two slight changes to the Microsoft Word text. Here are some ways to convert a Word document to a PowerPoint presentation.

Step One: Change Your Word Document

The first thing you need to do to convert a Word Document to a PowerPoint Presentation is to make formatting changes to the former. In the following example, we’ve taken text published in a GroovyPost article about podcasts.

When brought to Microsoft Word, this content was divided into two sections for each podcast: the header and the body.

To more easily convert this content for PowerPoint use, we’re changing each heading to Heading 1 style while changing the body to Heading 2 style. You can adjust the styles by clicking on the Home section, then choosing Styles. Repeat for each section. Once you’re finished changing your text to Heading 1 and Heading 2 sections, save your Microsoft Word document.

Here’s the finished Word document in our example; your document might look different, depending on the styles:

Step Two: Import Into Microsoft PowerPoint

It’s now time to convert a Word document to a PowerPoint presentation by following the directions below.

Open Microsoft PowerPoint. Create a new Microsoft PowerPoint presentation. Select Home > New Slide > Slides from Outline.

Next:

Choose the Microsoft Word document that includes the Headline 1 and Headline 2 styles mentioned above. Click Insert.

Each page in the new PowerPoint presentation includes every instance of the Headline 1 and Headline 2 styles.

From here, you can make changes to your Microsoft PowerPoint presentation just as you would any other. In this case, you’re going to need to adjust the fonts and format to suit your tastes better.

Another Option

There’s another way to confirm a Word document into a PowerPoint presentation. It’s not as easy as the option mentioned above. However, it still works and might better suit your situation.

In this example:

Open Microsoft PowerPoint on your computer. Create a new presentation. Select the slide where you want to place the Word document. Click Insert > Object, which is under the Text section in Object. Choose Create From File. Click Browse, then find your Microsoft Word document. Select OK.

As you can see above, this solution brings everything from the Microsoft Word document into one PowerPoint presentation slide. With lengthy Microsoft Word documents, this isn’t ideal. However, for shorter documents, the solution works well.

The Latest Way

In March 2021, Microsoft announced another way to confirm Word documents into PowerPoint presentations. For now, this solution is only available through Microsoft 365 on the web.

Log into your Microsoft 365 from the online Office website. Open your Word document you wish to convert. Choose File > Export > Export to PowerPoint presentation. Select a PowerPoint theme. Choose Export.

That’s it! Your Word document is converted into a PowerPoint presentation.

The new export to PowerPoint tool isn’t a finished product. It also comes with the following limitations at the time of this writing:

This feature is currently only available in English.

You currently cannot use the feature on the Internet Explorer and Safari browsers.

This feature only supports text content; support for other media content is not currently available.

You can add your own media to the presentation after you have exported your Word document to a PowerPoint presentation.

No doubt, once Microsoft finishes creating this solution (and on desktop versions), it will quickly become the best way to convert Word documents to PowerPoint presentations. In the meantime, you may have to use one of the other solutions.

Microsoft PowerPoint is a powerful app that’s available on Windows, macOS, and mobile devices. Besides converting Word documents to PowerPoint presentations, you can convert a presentation to a video. You can also add GIFs to a PowerPoint and insert PDFs into your PowerPoint.

You can also record or add audio to a PowerPoint to add music or other audio to your presentation. Finally, you can add speaker notes when presenting live, giving you extra points to mention without filling up your slides.

